Platform apptainer instance start request

Request of start platform apptainer instance

Endpoint

POST /api/platform/apptainer/instance/

Auth

Authorization: Bearer ${token}

Body

Content-Type: application/json
Json
{
    "command": [],
    "cpu": "",
    "env": [],
    "fakeroot": false,
    "gpu": "",
    "identity": "",
    "image": "",
    "memory": "",
    "volume": []
}

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "entity",
        "payload": ""
    },
    {
        "kind": "entity",
        "payload": {
            "img": "",
            "instance": "",
            "ip": "",
            "log_err_path": "",
            "log_out_path": "",
            "pid": 0
        }
    }
]

Notes

  • Platform Permission Required
  • Read-Only Permission Restricted